Subject: Re: [Json] [apps-discuss] JSON mailing list and BoF

From: Sadayuki Furuhashi <[email-masked]>
Date: Wed, 20 Feb 2013 12:35:29 -0800

I'm frsyuki (Sadyuki Furuhashi), the initial designer of the MessagePack.
I found a mail about msgpack.

draft-bormann-apparea-bpack-00.txt is slightly modified version of msgpack
and it's not compatible with existent msgpack implementations for over 20+
languages.
Even if msgpack had a UTF-8 type, it will be different from the one proposed
by bpack-00.txt because specs without implementations don't make sense.

Thus today's msgpack is a stable format and future msgpack will be compatible
with it.

We're supposed to add user-defined custom type support as the part of its spec.
And the string type will be one of the custom types.

Here is a msgpack issue thread to discuss about the string type:
https://github.com/msgpack/msgpack/issues/121

> On Feb 19, 2013, at 00:47, "Joe Hildebrand (jhildebr)" <jhildebr at cisco.com> wrote:
> 
>> As an individual, I'm +1 on that.  I love msgpack, and don't mind the
>> addition of UTF8 as a separate type.  Was frsyuki involved in the draft,
>> or at least know that it happened?
> 
> I tried to involve him.
> Frsyuki doesn't like what I did with the binary strings vs. UTF-8, though.
> 
> I didn't quite catch whether he is just focusing on maintaining compatibility with what's out there (today's msgpack) or whether he really doesn't see why that is a good idea.
> (For me, maintaining 100 % compatibility won't work anyway, because in the end that won't be the only change we'll want to make.  
> If we look a bit outside the space that msgpack is being applied to today, we might want to support, say, 16-bit floating point.)
> 
> Grüße, Carsten

--
Sadayuki Furuhashi
http://fluentd.org http://msgpack.org
twitter:@frsyuki